org.eclipse.eef.util

## Class EEFDescriptionToWidgetStyleSwitch

- java.lang.Object
- - org.eclipse.emf.ecore.util.Switch<T>
  - - org.eclipse.eef.util.EefSwitch<EEFWidgetStyle>
    - - org.eclipse.eef.util.EEFDescriptionToWidgetStyleSwitch

    public class EEFDescriptionToWidgetStyleSwitch
    extends EefSwitch<EEFWidgetStyle>

Utility class used to retrieve the style of a given widget.

### Field Summary

### Fields inherited from class org.eclipse.eef.util.EefSwitch

`modelPackage`

### Constructor Summary

Constructors
Constructor and Description
`EEFDescriptionToWidgetStyleSwitch()`

### Method Summary

All Methods Instance Methods Concrete Methods
`EEFWidgetStyle` `caseEEFButtonDescription(EEFButtonDescription object)` Returns the result of interpreting the object as an instance of 'EEF Button Description'.
`EEFWidgetStyle` `caseEEFCheckboxDescription(EEFCheckboxDescription object)` Returns the result of interpreting the object as an instance of 'EEF Checkbox Description'.
`EEFWidgetStyle` `caseEEFHyperlinkDescription(EEFHyperlinkDescription object)` Returns the result of interpreting the object as an instance of 'EEF Hyperlink Description'.
`EEFWidgetStyle` `caseEEFLabelDescription(EEFLabelDescription object)` Returns the result of interpreting the object as an instance of 'EEF Label Description'.
`EEFWidgetStyle` `caseEEFListDescription(EEFListDescription object)` Returns the result of interpreting the object as an instance of 'EEF List Description'.
`EEFWidgetStyle` `caseEEFRadioDescription(EEFRadioDescription object)` Returns the result of interpreting the object as an instance of 'EEF Radio Description'.
`EEFWidgetStyle` `caseEEFSelectDescription(EEFSelectDescription object)` Returns the result of interpreting the object as an instance of 'EEF Select Description'.
`EEFWidgetStyle` `caseEEFTextDescription(EEFTextDescription object)` Returns the result of interpreting the object as an instance of 'EEF Text Description'.

### Methods inherited from class org.eclipse.eef.util.EefSwitch

`caseEEFButtonConditionalStyle, caseEEFButtonStyle, caseEEFCheckboxConditionalStyle, caseEEFCheckboxStyle, caseEEFConditionalStyle, caseEEFContainerDescription, caseEEFControlDescription, caseEEFCustomExpression, caseEEFCustomWidgetConditionalStyle, caseEEFCustomWidgetDescription, caseEEFCustomWidgetStyle, caseEEFDynamicMappingFor, caseEEFDynamicMappingIf, caseEEFFillLayoutDescription, caseEEFGridLayoutDescription, caseEEFGroupConditionalStyle, caseEEFGroupDescription, caseEEFGroupStyle, caseEEFHyperlinkConditionalStyle, caseEEFHyperlinkStyle, caseEEFLabelConditionalStyle, caseEEFLabelStyle, caseEEFLayoutDescription, caseEEFListConditionalStyle, caseEEFListStyle, caseEEFPageDescription, caseEEFPropertyValidationRuleDescription, caseEEFRadioConditionalStyle, caseEEFRadioStyle, caseEEFRuleAuditDescription, caseEEFSelectConditionalStyle, caseEEFSelectStyle, caseEEFSemanticValidationRuleDescription, caseEEFTextConditionalStyle, caseEEFTextStyle, caseEEFValidationFixDescription, caseEEFValidationRuleDescription, caseEEFViewDescription, caseEEFWidgetAction, caseEEFWidgetDescription, caseEEFWidgetStyle, defaultCase, doSwitch, isSwitchFor`

### Methods inherited from class org.eclipse.emf.ecore.util.Switch

`doSwitch, doSwitch`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### EEFDescriptionToWidgetStyleSwitch

    public EEFDescriptionToWidgetStyleSwitch()

### Method Detail

#### caseEEFButtonDescription

    public EEFWidgetStyle caseEEFButtonDescription(EEFButtonDescription object)

Returns the result of interpreting the object as an instance of 'EEF Button Description'. This implementation returns null; returning a non-null result will terminate the switch.

Overrides:
  `caseEEFButtonDescription` in class `EefSwitch<EEFWidgetStyle>`
Parameters:
  `object` - the target of the switch.
Returns:
  the result of interpreting the object as an instance of 'EEF Button Description'.
See Also:
  `EefSwitch.caseEEFButtonDescription(org.eclipse.eef.EEFButtonDescription)`

#### caseEEFCheckboxDescription

    public EEFWidgetStyle caseEEFCheckboxDescription(EEFCheckboxDescription object)

Returns the result of interpreting the object as an instance of 'EEF Checkbox Description'. This implementation returns null; returning a non-null result will terminate the switch.

Overrides:
  `caseEEFCheckboxDescription` in class `EefSwitch<EEFWidgetStyle>`
Parameters:
  `object` - the target of the switch.
Returns:
  the result of interpreting the object as an instance of 'EEF Checkbox Description'.
See Also:
  `EefSwitch.caseEEFCheckboxDescription(org.eclipse.eef.EEFCheckboxDescription)`

#### caseEEFHyperlinkDescription

    public EEFWidgetStyle caseEEFHyperlinkDescription(EEFHyperlinkDescription object)

Returns the result of interpreting the object as an instance of 'EEF Hyperlink Description'. This implementation returns null; returning a non-null result will terminate the switch.

Overrides:
  `caseEEFHyperlinkDescription` in class `EefSwitch<EEFWidgetStyle>`
Parameters:
  `object` - the target of the switch.
Returns:
  the result of interpreting the object as an instance of 'EEF Hyperlink Description'.
See Also:
  `EefSwitch.caseEEFHyperlinkDescription(org.eclipse.eef.EEFHyperlinkDescription)`

#### caseEEFLabelDescription

    public EEFWidgetStyle caseEEFLabelDescription(EEFLabelDescription object)

Returns the result of interpreting the object as an instance of 'EEF Label Description'. This implementation returns null; returning a non-null result will terminate the switch.

Overrides:
  `caseEEFLabelDescription` in class `EefSwitch<EEFWidgetStyle>`
Parameters:
  `object` - the target of the switch.
Returns:
  the result of interpreting the object as an instance of 'EEF Label Description'.
See Also:
  `EefSwitch.caseEEFLabelDescription(org.eclipse.eef.EEFLabelDescription)`

#### caseEEFRadioDescription

    public EEFWidgetStyle caseEEFRadioDescription(EEFRadioDescription object)

Returns the result of interpreting the object as an instance of 'EEF Radio Description'. This implementation returns null; returning a non-null result will terminate the switch.

Overrides:
  `caseEEFRadioDescription` in class `EefSwitch<EEFWidgetStyle>`
Parameters:
  `object` - the target of the switch.
Returns:
  the result of interpreting the object as an instance of 'EEF Radio Description'.
See Also:
  `EefSwitch.caseEEFRadioDescription(org.eclipse.eef.EEFRadioDescription)`

#### caseEEFSelectDescription

    public EEFWidgetStyle caseEEFSelectDescription(EEFSelectDescription object)

Returns the result of interpreting the object as an instance of 'EEF Select Description'. This implementation returns null; returning a non-null result will terminate the switch.

Overrides:
  `caseEEFSelectDescription` in class `EefSwitch<EEFWidgetStyle>`
Parameters:
  `object` - the target of the switch.
Returns:
  the result of interpreting the object as an instance of 'EEF Select Description'.
See Also:
  `EefSwitch.caseEEFSelectDescription(org.eclipse.eef.EEFSelectDescription)`

#### caseEEFTextDescription

    public EEFWidgetStyle caseEEFTextDescription(EEFTextDescription object)

Returns the result of interpreting the object as an instance of 'EEF Text Description'. This implementation returns null; returning a non-null result will terminate the switch.

Overrides:
  `caseEEFTextDescription` in class `EefSwitch<EEFWidgetStyle>`
Parameters:
  `object` - the target of the switch.
Returns:
  the result of interpreting the object as an instance of 'EEF Text Description'.
See Also:
  `EefSwitch.caseEEFTextDescription(org.eclipse.eef.EEFTextDescription)`

#### caseEEFListDescription

    public EEFWidgetStyle caseEEFListDescription(EEFListDescription object)

Returns the result of interpreting the object as an instance of 'EEF List Description'. This implementation returns null; returning a non-null result will terminate the switch.

Overrides:
  `caseEEFListDescription` in class `EefSwitch<EEFWidgetStyle>`
Parameters:
  `object` - the target of the switch.
Returns:
  the result of interpreting the object as an instance of 'EEF List Description'.
See Also:
  `EefSwitch.caseEEFListDescription(org.eclipse.eef.EEFListDescription)`